/* Variables */
:root {
  --clr-background: #F7F3E2;
  --clr-contrast: #000000;
  --clr-variant-1: #7CA6E8;
  --clr-variant-2: #F6EA72;
  --clr-grayish-green: #B1BEAA;
  --clr-calm-blue: #5B8ED8;
  --clr-forest-green: #0E914A;
  --clr-lavender-purple: #D7B3CF;
  --clr-lemon-yellow: #F6EA72;
  --clr-creamy-pink: #FFBBC2;
  --clr-soft-pink: #EFDDEA;
  --clr-alert-red: #EE4224;
  --clr-dark-orange: #D66B27;
  --clr-variant-orange: #FFC186;
  --clr-variant-pink: #DB64AD;
  --clr-dry-green: #AAC64A;
  --clr-soil-brown: #A46C50; 
  --clr-accent: hsl(326, 95%, 71%);
  --clr-shadow: rgb(0, 0, 0, .5); 

  --font-family-title: 'NeueMachina';
  --font-family-body: 'PPMori';
  --font-family-wildbrush: 'WildBrush';

  --font-size-headline-huge: clamp(96px, 20vw, 182px);
  --font-size-headline-large: clamp(32px, 7.5vw, 67px);
  --font-size-headline-medium: 55px;
  --font-size-marquee: clamp(32px, 8vw, 120px);
  --font-size-highlight: clamp(32px, 6vw, 60px);
  /* --font-size-body-large: clamp(24px, 4vw, 32px); */
  --font-size-body-large: clamp(16px, 2vw, 22px);
  --font-size-body-medium: 20px;
  --font-size-body-small: 16px;
  --font-size-body-smaller: 12px;

  --padding: clamp(32px, 10vw, 200px);
}

/* Color Schemes */
[data-bg-color="background"] {
  --current-color: var(--clr-background);
}
[data-bg-color="grayish-green"] {
  --current-color: var(--clr-grayish-green);
}
[data-bg-color="calm-blue"] {
  --current-color: var(--clr-calm-blue);
}
[data-bg-color="dark-orange"] {
  --current-color: var(--clr-dark-orange);
}
[data-bg-color="variant-orange"] {
  --current-color: var(--clr-variant-orange);
}
[data-bg-color="forest-green"] {
  --current-color: var(--clr-forest-green);
}
[data-bg-color="lavender-purple"] {
  --current-color: var(--clr-lavender-purple);
}
[data-bg-color="lemon-yellow"] {
  --current-color: var(--clr-lemon-yellow);
}
[data-bg-color="creamy-pink"] {
  --current-color: var(--clr-creamy-pink);
}
[data-bg-color="soft-pink"] {
  --current-color: var(--clr-soft-pink);
}
[data-bg-color="variant-pink"] {
  --current-color: var(--clr-variant-pink);
}
[data-bg-color="alert-red"] {
  --current-color: var(--clr-alert-red);
}
[data-bg-color="dry-green"] {
  --current-color: var(--clr-dry-green);
}
[data-bg-color="soil-brown"] {
  --current-color: var(--clr-soil-brown);
}

/* Typography */
@font-face {
  font-family: 'PPMori';
  src: url('../fonts/PPMori-Extralight.woff2');
  font-weight: 200;
}
@font-face {
  font-family: 'PPMori';
  src: url('../fonts/PPMori-Regular.woff2');
  font-weight: 400;
}
@font-face {
  font-family: 'PPMori';
  src: url('../fonts/PPMori-SemiBold.woff2');
  font-weight: 600;
}
@font-face {
  font-family: 'NeueMachina';
  src: url('../fonts/NeueMachina-Light.woff2');
  font-weight: 200;
}
@font-face {
  font-family: 'NeueMachina';
  src: url('../fonts/NeueMachina-Regular.woff2');
  font-weight: 400;
}
@font-face {
  font-family: 'NeueMachina';
  src: url('../fonts/NeueMachina-Ultrabold.woff2');
  font-weight: 800;
}
@font-face {
  font-family: 'WildBrush';
  src: url('../fonts/WildBrush.woff2');
}

/* Baseline */
*, *::after, *::before {
  box-sizing: border-box;
}
html {
  font-family: var(--font-family-body);
  font-size: var(--font-size-body-medium);
  font-weight: 200;
  line-height: 1.2;
  padding: 0;
  margin: 0;
  scroll-behavior: smooth;
}
body {
  background-color: var(--current-color);
  color: var(--clr-contrast);
  padding: 0;
  margin: 0;
  overflow: auto;
}
body.menu-opened {
  overflow: hidden;
}
.content-wrapper {
  margin-block: 150px;
}
section {
  padding-block: 0 100px;
}
section:last-of-type {
  padding-block: 0;
}
.wp-block-group {
  margin-bottom: 75px;
}
h1, h2, h3, h4, h5, h6 {
  margin-block: .2em .5em;
}
.single-page {
  height: 100vh;
  overflow: hidden;
}
.page-title {
  font-family: var(--font-family-title);
  font-size: var(--font-size-headline-large);
  text-transform: uppercase;
}
.page-subtitle {
  font-family: var(--font-family-title);
  font-size: var(--font-size-headline-medium);
  font-weight: 200;
}
a {
  color: inherit;
  text-decoration: none;
  transition: color .3s .1s ease-out;
  cursor: pointer;
}
a:hover, a:active {
  color: var(--clr-accent);
  transition: color .3s .1s ease-out;
}
ul {
  margin: 0;
  padding: 0;
}
li {
  list-style: none;
}
button,
.wp-block-button__link {
  background-color: transparent;
  color: var(--clr-contrast);
  font-family: var(--font-family-title);
  font-size: var(--font-size-body-large);
  border-radius: 0;
  border: 2px solid var(--clr-contrast);
  padding: .4em .5em .2em;
  cursor: pointer;
  box-shadow: 0px 0px var(--clr-shadow);
  transition: all .3s ease-out;
}
button:hover,
.wp-block-button__link:hover {
  color: var(--clr-accent);
  box-shadow: 3px 3px var(--clr-shadow);
  transition: all .2s .1s ease-in;
}
.site-title {
  opacity: 0;
  width: 0px;
  height: 0px;
  margin: 0;
  padding: 0;
}
.single-page__title {
  font-family: var(--font-family-title);
  font-size: var(--font-size-headline-medium);
  font-weight: 200;
  text-decoration: underline;
  text-transform: uppercase;
  margin-block: 0 var(--padding);
  line-height: 1;
  width: 12ch;
}
.single-page__subtitle {
  font-family: var(--font-family-title);
  font-size: var(--font-size-headline-large);
  font-weight: 200;
  text-transform: uppercase;
  text-decoration: underline;
  margin-block: 0;
  margin-left: 120px;
  line-height: 1;
  max-width: 9ch;
}
.single-page__content .content-block__title {
  font-size: var(--font-size-body-large);
  font-weight: 800;
}
.single-page__content p {
  font-size: var(--font-size-body-large);
  font-weight: 400;
  padding-block: 1em;
}
.search__input-container {
  position: relative;
  display: flex;
  align-items: flex-end;
  justify-content: flex-start;
}
.search__input-container::before {
  position: absolute;
  top: .5rem;
  left: .3em;
  content: '';
  background: url('../icons/search.png');
  background-size: 15px;
  background-repeat: no-repeat;
  width: 20px;
  height: 20px;
  z-index: 5;
}
.search__input-field {
  background-color: var(--clr-background);
  border-radius: 0;
  border: 2px solid var(--clr-contrast);
  padding: .3em .5em .3em 2em;
  height: 36px;
}
.search__input-field::placeholder {
  font-family: var(--font-family-body);
  color: var(--clr-contrast);
  z-index: 1;
}
.search__input-field:focus {
  outline: 1px solid var(--clr-accent);
}
.btn--search {
  margin-left: .3rem;
  font-size: var(--font-size-body-medium);
}
.link--home {
  position: relative;
  width: 100px;
  height: 100px;
  transform-origin: center left;
  transition: opacity .2s ease;
  animation: reduce .3s .7s linear forwards;
  pointer-events: all;
}
@keyframes reduce {
  to {
    transform: 
      scale(.6);
  }
}
.logo {
  position: absolute;
  left: 0; 
  top: 0;
  width: 100%;
  transition: opacity .3s .1s ease-out;
}
.link--home:hover > .logo--base {
  opacity: 0;
  transition: opacity .2s .0s ease-in;
}
.logo--hovered {
  opacity: 0;
  filter: invert(25%) sepia() saturate(10000%) hue-rotate(326deg);
}
.link--home:hover > .logo--hovered {
  opacity: 1;
  transition: opacity .2s .0s ease-in;
}
.header__nav .nav__link,
.highlights__nav .nav__link {
  cursor: pointer;
}
.header__nav .nav__link a,
.highlights__nav .nav__link a {
  padding-top: .2em;
  width: 100%;
}
.header__nav .nav__link:hover a,
.highlights__nav .nav__link:hover a {
  color: var(--clr-contrast);
}

/* -------------- UTILITY CLASSES -------------- */
.contained {
  padding-inline: var(--padding);
}
.columns {
  display: flex;
}
.col--one-third {
  width: 33%;
}
.col--two-thirds {
  width: 64%;
}
.filtered::before {
  content: '';
  position: absolute; 
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--current-color);
  opacity: .5;
  z-index: 99;
  pointer-events: none;
}

/* GRID */
.grid {
  display: grid;
  gap: .75em;
}
.grid--two-col {
  grid-template-columns: repeat(auto-fill, minmax(min(350px, 100%), 1fr));
}
.grid--three-col {
  grid-template-columns: repeat(auto-fill, minmax(min(320px, 100%), 1fr));
}
.grid__item {
  position: relative;
  margin-block: 25px;
  cursor: default;
}
.grid__item .item__description {
  font-weight: 400;
  padding-bottom: .7rem;
}
/* .grid__item:hover .item__description {
  color: var(--clr-accent);
} */

.grid__item .item__image {
  position: relative;
  width: 100%;
  aspect-ratio: 1 / 1;
  overflow: hidden;
}
.grid__item.wide .item__image {
  aspect-ratio: 16/9;
}
.grid__item .item__image img {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  object-fit: cover;
  transition: all .3s ease-out;
}
.grid__item.wide .item__image img {
  height: auto;
  width: 100%;
}
.grid__item:hover .item__image img {
  transform: scale(1.05);
  transition: all .2s .1s ease-in;
}
.grid__item:hover .item__image::before {
  opacity: 0;
  transition: all .2s .1s ease-in;
}

/* GALLERY */
.gallery {
  padding-block: 0;
}
.gallery__pictures {
  margin-bottom: 50px;
}
.gallery__pictures .grid {
  overflow: hidden;
  transition: all 1s ease;
}
.gallery__title {
  font-family: var(--font-family-title);
  font-size: var(--font-size-headline-huge);
}
.gallery__pictures .grid {
  margin-bottom: 50px;
}
.gallery__pictures .grid__item {
  margin-block: 0;
}
.gallery__pictures .item__image::before {
  opacity: 0;
}

/* RELATED POSTS */
.related-posts {
  margin-top: 0;
}
.related-posts__title {
  display: block;
  width: fit-content;
  padding-block: .5em;
  text-transform: uppercase;
  border-bottom: 2px solid var(--clr-contrast);
}
.related-posts .grid__item {
  border-bottom: 2px solid var(--clr-contrast);
  margin-bottom: 75px;
}
.related-posts .item__date {
  position: absolute;
  bottom: -2.5rem;
  left: 0;
  font-size: var(--font-size-body-small);
}

/* CATEGORIES */
.categories {
  display: flex;
  flex-wrap: wrap;
  margin-block: .5rem;
}
.category {
  display: inline;
  text-transform: uppercase;
  font-size: var(--font-size-body-smaller);
  margin: .4rem .4rem .2rem 0;
}

/* PAGINATION */
.pagination {
  margin-block: 1rem 3rem;
  text-align: center;
}
.pagination__page {
  display: inline;
  font-weight: 600;
}
.pagination__page:not(:last-child)::after {
  content: ' -';
}
.has-background-color {
  position: relative;
  z-index: 1;
}
.has-background-color > .background-color {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 0px;
  background-color: var(--current-color);
  animation: none;
  z-index: -1;
}
@keyframes fillBackground {
  to {
    height: 100%;
  }
}
.has-background-color:hover > .background-color {
  background-color: var(--clr-accent);
  transition: all .2s .1s ease-out;
}
/* ------------- /END UTILITY CLASSES ------------- */

/* ---------------- TEMPLATE PARTS ---------------- */
/* HEADER */
.site-header {
  position: fixed;
  display: flex;
  align-items: center;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 100;
  pointer-events: none;
}
.header__nav {
  width: 100%;
}
.nav--top {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* background-color: var(--current-color); */
  padding-block: .5rem;
  z-index: 1;
}
.hamburger-menu {
  position: relative;
  width: 45px;
  height: 27px;
  cursor: pointer;
  pointer-events: all;
}
.hamburger-menu:hover .hamburger-menu__line {
  background-color: var(--clr-accent);
  transition: all .2s ease;
}
.hamburger-menu__line {
  position: absolute;
  width: 100%;
  height: 3px;
  background-color: var(--clr-contrast);
  transform-origin: left;
  transition: all .3s .1s ease;
}
.hamburger-menu__line:first-child {
  top: 0;
}
.hamburger-menu__line:nth-child(2) {
  top: 50%;
  transform: translateY(-50%);
}
.hamburger-menu__line:last-child {
  bottom: 0;
}
.hamburger-menu.close .hamburger-menu__line:first-child {
  transform: rotate(33deg);
}
.hamburger-menu.close .hamburger-menu__line:nth-child(2) {
  opacity: 0;
}
.hamburger-menu.close .hamburger-menu__line:last-child {
  transform: rotate(-33deg);
}
.nav__links-list {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  background-color: var(--current-color);
  transform: translateY(-100%);
  transition: transform .5s ease;
  z-index: 0;
}
.nav__links-list.opened {
  transform: translateY(0);
  transition: transform .3s ease;
  pointer-events: all;
}
.nav__links-list a {
  display: block;
}
.nav__links-list .nav__link {
  opacity: 0;
  transition: opacity .1s linear;
}
.nav__links-list.opened .nav__link {
  opacity: 1;
  transition: opacity .3s .2s linear;
}
.header__nav .nav__link {
  font-size: var(--font-size-body-medium);
}
.header__nav .nav__link,
.highlights__nav .nav__link {
  font-family: var(--font-family-title);
  padding: .2rem var(--padding) 0; 
}

/* FOOTER */
.site-footer .contained {
  display: grid;
  grid-template-columns: 2fr 2fr 1fr;
  grid-template-areas:  
     "logo    links   search"
     "logo    links   search"
     "social  links   search" 
  ;
  gap: .5em;
  padding-block: 2em;
}
.site-footer .link--home {
  grid-area: logo;
  animation: none;
}
.site-footer .social-links {
  grid-area: social;
}
.site-footer .footer__nav {
  grid-area: links;
  justify-self:first baseline;
}
.site-footer .nav__links {
  margin: 0;
}
.site-footer .nav__link:hover {
  color: var(--clr-accent);
  transition: color .3s .1s ease-out;
}
.site-footer .search {
  grid-area: search;
}
.footer__bottom {
  grid-area: bottom;
  background-color: var(--clr-contrast);
  color: var(--clr-background);
  font-size: var(--font-size-body-small);
  text-align: center;
  padding-block: 1em;
  padding-inline: var(--padding);
}


/* SOCIAL LINKS */
.social-links {
  padding-block: 64px;
  display: flex;
}
.social-link {
  position: relative;
  display: flex;
  margin-right: 1rem;
}
.social-link__icon {
  height: 30px;
  opacity: 1;
  transition: opacity .3s .1s ease-out;
}
.social-link:hover > .social-link__icon {
  opacity: 0;
  transition: opacity .2s .0s ease-in;
}
.social-link__icon--hovered {
  position: absolute;
  left: 0; 
  top: 0;
  height: 30px;
  opacity: 0;
  transition: opacity .3s .1s ease-out;
  filter: invert(25%) sepia() saturate(10000%) hue-rotate(326deg);
}
.social-link:hover > .social-link__icon--hovered {
  opacity: 1;
  transition: opacity .2s .0s ease-in;
}

/* FEATURED POST */
.featured-post {
  border: 2px solid var(--clr-contrast);
  display: flex;
}
.featured-post__heading,
.featured-post__excerpt {
  padding: 2rem;
}
.featured-post__heading {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: space-between;
  width: 45%;
}
.featured-post__heading > .heading__title {
  font-family: var(--font-family-title);
  font-size: var(--font-size-headline-medium);
}
.featured-post__heading > .heading__read-more {
  text-transform: uppercase;
}
.featured-post__excerpt {
  width: 55%;
}
.featured-post__excerpt > p {
  font-size: var(--font-size-body-large);
  margin-block: 0;
}
/* PARALLAX */
.parallax {
  perspective: 1px;
  perspective-origin: top right;
  -ms-perspective-origin-x: 100%;
  -webkit-perspective-origin-x: 100%;
  height: 100vh;
  overflow-x: hidden;
  overflow-y: auto;
  /* Hide Scrollbar */
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
  margin-bottom: 128px;
}
/* Hide Scrollbar */
.parallax::-webkit-scrollbar {
  display: none;
}
.parallax__group {
  position: relative;
  transform-style: preserve-3d;
}
.parallax__banner {
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100vh;
}
.parallax__layer {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  transform-origin: top right;
  -ms-transform-origin-x: 100%;
  -webkit-transform-origin-x: 100%;
}
.parallax__layer--front {
  transform: translateZ(0);
}
.parallax__layer--back {
  transform: 
    translateZ(-1px)
    scale(2)
    ;
}
.parallax__bg-image {
  position: absolute;
  right: var(--padding);
  top: 15vh;
  width: 700px;
}
.parallax__bg-image img {
  width: 100%;
}

/* TEXT MARQUEE */
.text-marquee {
  display: flex;
  background-color: var(--clr-contrast);
  color: var(--current-color);
  max-width: 100vw;
  height: 200px;
  margin-block: 50px;
}
.text-marquee .text-marquee__inner {
  display: flex;
  align-items: center;
  gap: 2rem;
  width: max-content;
  padding-left: 1em;
}
.text-marquee[data-animated="true"] .text-marquee__inner {
  flex-wrap: wrap;
  padding-left: 0;
  animation: 
    scroll 
    var(--_animation-duration, 15s) 
    var(--_animation-direction, forwards) 
    linear 
    infinite;
}
@keyframes scroll {
  to {
    transform: translate(calc(-50% - 1rem));
  }
}
.text-marquee .text-marquee__inner > p {
  font-family: var(--font-family-title);
  font-size: var(--font-size-headline-large);
  font-weight: 800;
  text-transform: uppercase;
}
.text-marquee[data-animated="true"] .text-marquee__inner > p {
  font-size: var(--font-size-marquee);
  white-space: nowrap;
}
.text-marquee[data-animated="true"] {
  overflow: hidden;
}
.text-marquee[data-animated="true"] .text-marquee__inner {
  flex-wrap: nowrap;
}
.text-marquee[data-direction="right"] .text-marquee__inner {
  --_animation-direction: reverse;
}
.text-marquee[data-direction="left"] .text-marquee__inner {
  --_animation-direction: forwards;
}
.text-marquee[data-speed="slow"] .text-marquee__inner {
  --_animation-duration: 45s;
}
.text-marquee[data-speed="medium"] .text-marquee__inner {
  --_animation-duration: 15s;
}
.text-marquee[data-speed="fast"] .text-marquee__inner {
  --_animation-duration: 5s;
}

/* ------------ /END TEMPLATE PARTS ------------ */

/* ------------------- HOME ------------------- */
/* HIGHLIGHTS */
section.section--highlights-navigation {
  margin-block: 150px; 
  padding: 0;
}
.highlights__nav .nav__link {
  padding-inline: var(--padding);
  font-size: var(--font-size-highlight);
  text-transform: uppercase;
}
.highlights__nav a {
  display: block;
}

/* SOCIAL FEED */
.social-feed__title {
  display: block;
  width: fit-content;
  padding-block: .5em;
  text-transform: uppercase;
  border-bottom: 2px solid var(--clr-contrast);
}
.social-feed__posts {
  margin-block: 2em;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: .5em;
}
.social-feed__post {
  width: 100%;
  aspect-ratio: 1/1;
  overflow: hidden;
}
.social-feed__post > img {
  height: 120%;
  transition: transform .2s ease-out;
}
.social-feed__post:hover > img {
  transform: scale(1.05);
  transition: transform .3s .1s ease-in;
}
/* ----------------- /END HOME ----------------- */

/* ------------------- SOBRE ------------------- */
section.articles {
  margin-block: 100px;
}
.articles__menu {
  padding: 20px var(--padding) 0 0;
}
.articles__menu .title {
  text-transform: uppercase;
  font-weight: 800;
  margin-block: 0 .2em;
}
.articles__menu li {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-block: .5em;
  border-top: 2px solid var(--clr-contrast);
  cursor: pointer;
  transition: color .3s .1s ease-out;
}
.articles__menu li:last-child {
  border-bottom: 2px solid var(--clr-contrast);
}
.articles__menu li:hover {
  color: var(--clr-accent);
  transition: color .2s ease-in;
}
.articles__menu li > span {
  font-size: 1.3em;
}
.articles__list {
  padding-top: 1rem;
}
.articles__list .article {
  padding-block: .5rem;
}
.articles__list .article p,
.articles__list .article .title {
  margin-block: 0 .2em;
}
/* ---------------- /END SOBRE ---------------- */

/* ------------------- 8M / 3J ------------------- */
.body--event-gallery .single-page__title {
  font-size: var(--font-size-headline-huge);
  font-weight: 800;
  text-decoration: none;
  margin-block: 0;
}
.body--acciones .single-page__title {
  color: var(--clr-alert-red);
}
/* ---- /VIVIENDA/DESENDEUDADAS/ACCIONES ---- */

/* ---------------- SINGLE ---------------- */
.single-post__title {
  font-family: var(--font-family-title);
  font-size: var(--font-size-headline-large);
  padding-bottom: 50px;
  margin-bottom: 50px;
  border-bottom: 2px solid var(--clr-contrast);
}
.single-post__meta {
  margin-bottom: 50px;
}
.single-post__meta span {
  font-weight: 400;
}
.single-post__featured-image {
  position: relative;
  aspect-ratio: 16/9;
  overflow: hidden;
}
.single-post__featured-image img {
  width: 100%;
}
.single-post__content {
  font-size: var(--font-size-body-large);
  font-weight: 400;
}
.single-post__pagination {
  display: flex;
}
.single-post__pagination .pagination__item {
  border: 2px solid var(--clr-contrast);
  padding: 1rem;
  width: 50%;
}
.single-post__pagination .pagination__item p {
  margin-block: 0;
}
.single-post__pagination .item__title {
  font-family: var(--font-family-title);
  font-size: var(--font-size-body-large);
  text-transform: uppercase;
  font-weight: 600;
}
/* SINGLE -> HEADING */
.heading {
  margin-bottom: 50px;
}
.heading .category,
.bottom__categories .category {
  font-size: var(--font-size-body-medium);
  font-weight: 400;
}
.bottom__categories {
  margin-block: 50px;
}
/* PAGINATION */
.pagination__item.prev {
  text-align: left;
}
.pagination__item.next {
  text-align: right;
}
/* --------------- /SINGLE --------------- */

/* ----------- ACOMPAÑAMIENTO ----------- */
.body--acomp .page-title {
  text-decoration: underline;
}
.body--acomp p {
  padding-block: .5em 0;
}
.iframe-container {
  display: flex;
  width: 100%;
  height: 600px;
}
.iframe-container iframe {
  width: 100%;
  border: none;
}
/* ----------- /ACOMPAÑAMIENTO ----------- */

/* ----------- BIBLIOTECA ----------- */
.body--biblio .grid__item {
  border-bottom: 2px solid var(--clr-contrast);
  margin-bottom: 75px;
}
.body--biblio .grid__item .item__image {
  aspect-ratio: 3 / 4;
  background-color: var(--clr-contrast);
}
.body--biblio .grid__item .item__image img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.body--biblio .grid__item .item__date {
  position: absolute;
  bottom: -2.5rem;
  left: 0;
  font-size: var(--font-size-body-small);
}
/* ----------- /BIBLIOTECA ----------- */

/* *********************************** */
/* ---------- MEDIA QUERIES ---------- */
/* *********************************** */

/* BIG MONITOR UP */
@media screen and (min-width: 1600px) {
  .parallax__banner {
    height: 40vh;
    margin-top: 30vh;
  }
}

/* TABLET LANDSCAPE DOWN */
@media screen and (max-width: 1200px) {
  :root {
    --font-size-headline-medium: 42px;
    --font-size-highlight: clamp(32px, 4vw, 52px);
  }
}

/* TABLET PORTRAIT DOWN */
@media screen and (max-width: 900px) {
  :root {
    --padding: 2rem;
  }
  /* FOOTER */
  .site-footer .contained {
    grid-template-columns: 1fr 1fr;
    grid-template-areas: 
      "logo links"
      "logo links"
      "social search"
  }
  .site-footer .search,
  .site-footer .social-links {
    padding-top: 2rem;
  }
  /* FEATURED POST */
  .featured-post {
    position: relative;
    flex-direction: column;
  }
  .featured-post__heading,
  .featured-post__excerpt {
    width: 100%;
  }
  .featured-post__heading {
    padding: 2rem 2rem .5rem;
  }
  .featured-post__excerpt {
    padding: 0 2rem 4rem;
  }
  .featured-post__heading > .heading__read-more {
    position: absolute;
    bottom: 2rem;
  }
  /* PARALLAX */
  .parallax__banner {
    height: 60vh;
    padding-top: 10vh;
    margin-bottom: 0;
  }
  .parallax__bg-image,
  .body--about .parallax__bg-image,
  .body--event-gallery .parallax__bg-image
   {
    width: 100%;
    top: 100px;
    left: 0;
    right: 0;
  }
  .single-page {
    height: 75vh;
    overflow: visible;
  }
  /* SINGLE POST */
  .single-post__pagination .item__title {
    font-size: var(--font-size-body-medium);
  }
}

/* MOBILE DOWN */
@media screen and (max-width: 600px) {
  :root {
    --font-size-headline-medium: 32px;
    --font-size-body-large: clamp(22px, 4vw, 24px);
    --padding: 1em;
  }
  /* GENERAL */
  .columns {
    flex-direction: column;
  }
  .columns .col {
    width: 100%;
  } 

  /* FOOTER */
  .site-footer .contained {
    grid-template-columns: 1fr;
        grid-template-areas:
        "logo"
        "links"
        "search"
        "social";
  }
  .site-footer .nav__links,
  .site-footer .search, 
  .site-footer .social-links {
    padding-top: 1rem;
  }
  /* SOCIAL LINKS */
  .social-feed__posts {
    grid-template-columns: 1fr;
  }
  /* SINGLE POST */
  .single-post__pagination {
    flex-direction: column;
  }
  .single-post__pagination .pagination__item {
    width: 100%;
  }
  .single-post__pagination .item__title {
    font-size: var(--font-size-body-small);
  }
  /* ITEM IMAGES */
  .body--biblio .filtered::before {
    content: none;
  }
}